> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-muhammad-kumail-native-mcp-tabs-batch.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete a resource server (soft delete). Cascades to its scopes, access
 profiles, and client audience mappings.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/apps/{app_id}/xaa/resource_servers/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/xaa/resource_servers/{id}:
    delete:
      tags:
        - Cross-App Access
      summary: Delete
      description: |-
        Delete a resource server (soft delete). Cascades to its scopes, access
         profiles, and client audience mappings.
      operationId: c1.api.cross_app_access.v1.XAAResourceServerService.Delete
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The application this resource server fronts.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: Unique identifier for the resource server.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.cross_app_access.v1.XAAResourceServerServiceDeleteRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.cross_app_access.v1.XAAResourceServerServiceDeleteResponse
          description: XAAResourceServerServiceDeleteResponse confirms deletion.
      x-codeSamples:
        - lang: go
          label: Delete
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.XAAResourceServer.Delete(ctx, operations.C1APICrossAppAccessV1XAAResourceServerServiceDeleteRequest{\n        AppID: \"<id>\",\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.XAAResourceServerServiceDeleteResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.cross_app_access.v1.XAAResourceServerServiceDeleteRequestInput:
      description: >-
        XAAResourceServerServiceDeleteRequest deletes a resource server (soft
        delete).
      title: Xaa Resource Server Service Delete Request
      type: object
      x-speakeasy-name-override: XAAResourceServerServiceDeleteRequest
    c1.api.cross_app_access.v1.XAAResourceServerServiceDeleteResponse:
      description: XAAResourceServerServiceDeleteResponse confirms deletion.
      title: Xaa Resource Server Service Delete Response
      type: object
      x-speakeasy-name-override: XAAResourceServerServiceDeleteResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````